System 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class, Inherited=true)

This attribute supplies a way for developers to provide custom metadata for their authored classes. This capability extends the static type information functionality in the class, which by default only obtains type information directly from metadata of the compiled classes.

For a more dynamic way to provide custom metadata for your authored classes, see the method.

Tagging a class with a will associate a with that class. A provides supplemental metadata information about the tagged class. For example, the method returns an that defines additional type information, such as attributes, events, and properties. Subsequently, if a member is used to investigate the tagged class, it will discover both the default and custom type information.

This attribute can only be applied to classes and is inherited by derived classes.

This attribute cannot be derived from.

For more information about using attributes, see Extending Metadata Using Attributes.

Specifies the custom type description provider for a class. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  The constructor associates the specified with the tagged class.

  Initializes a new instance of the class using the specified type name.

  The qualified name of the type.
- Constructor
  2.0.0.0
  4.0.0.0

  The constructor associates the specified with the tagged class.

  Initializes a new instance of the class using the specified type.

  The type to store in the attribute.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This read-only property retrieves the name of the type description provider set in the constructor.

  Gets the type name for the type description provider.